Bug 787649 - [abrt] kernel: WARNING: at /builddir/build/BUILD/kernel-3.2.fc16/compat-wireless-3.3-rc1-2/drivers/net/wireless/brcm80211/brcmsmac/main.c:7998 brcms_c_wait_for_tx_completion+0x99/0xb0 [brcmsmac]()
[abrt] kernel: WARNING: at /builddir/build/BUILD/kernel-3.2.fc16/compat-wirel...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John Greene
Fedora Extras Quality Assurance
abrt_hash:83abd70a7e6c6138e666a407e15...
:
: 787830 796023 805653 806194 806421 806701 814081 817260 838241 841884 844744 869449 873324 906168 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-06 07:18 EST by Marek Paśnikowski
Modified: 2013-02-14 01:18 EST (History)
143 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 10:07:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
fix endless A-MPDU retries (1.96 KB, patch)
2012-02-07 04:58 EST, Arend van Spriel
no flags Details | Diff
using waitqueue to wait for flush completion (7.14 KB, patch)
2012-09-04 12:47 EDT, brcm80211 driver developers
no flags Details | Diff

  None (edit)
Description Marek Paśnikowski 2012-02-06 07:18:38 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.2.3-2.fc16.x86_64 root=/dev/mapper/vg_hirager3-lv_root ro rd.md=0 rd.dm=0 rd.lvm.lv=vg_hirager3/lv_swap quiet SYSFONT=latarcyrheb-sun16 rd.lvm.lv=vg_hirager3/lv_root rhgb rd.luks=0 KEYTABLE=pl2 LANG=en_US.UTF-8
kernel:         3.2.3-2.fc16.x86_64
reason:         WARNING: at /builddir/build/BUILD/kernel-3.2.fc16/compat-wireless-3.3-rc1-2/drivers/net/wireless/brcm80211/brcmsmac/main.c:7998 brcms_c_wait_for_tx_completion+0x99/0xb0 [brcmsmac]()
time:           Mon 06 Feb 2012 01:17:29 PM CET

backtrace:
:WARNING: at /builddir/build/BUILD/kernel-3.2.fc16/compat-wireless-3.3-rc1-2/drivers/net/wireless/brcm80211/brcmsmac/main.c:7998 brcms_c_wait_for_tx_completion+0x99/0xb0 [brcmsmac]()
:Hardware name: AO722
:Modules linked in: ppdev parport_pc lp parport lockd fcoe libfcoe 8021q garp stp llc libfc scsi_transport_fc scsi_tgt snd_hda_codec_conexant snd_hda_codec_hdmi snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm arc4 snd_timer brcmsmac mac80211 uvcvideo videodev brcmutil atl1c cfg80211 crc8 cordic media v4l2_compat_ioctl32 snd bcma acer_wmi soundcore sp5100_tco i2c_piix4 k10temp sparse_keymap snd_page_alloc rfkill joydev microcode uinput binfmt_misc sunrpc ums_realtek usb_storage video wmi radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
:Pid: 37, comm: kworker/u:1 Not tainted 3.2.3-2.fc16.x86_64 #1
:Call Trace:
: [<ffffffff8106dd4f>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff8106ddaa>] warn_slowpath_null+0x1a/0x20
: [<ffffffffa0330e49>] brcms_c_wait_for_tx_completion+0x99/0xb0 [brcmsmac]
: [<ffffffffa03221bb>] brcms_ops_flush+0x3b/0x60 [brcmsmac]
: [<ffffffffa028edc0>] ieee80211_scan_work+0x370/0x610 [mac80211]
: [<ffffffff810136ba>] ? __switch_to+0xca/0x310
: [<ffffffffa028ea50>] ? ieee80211_scan_rx+0x1a0/0x1a0 [mac80211]
: [<ffffffff81089ddd>] process_one_work+0x11d/0x470
: [<ffffffff8108b1df>] worker_thread+0x15f/0x350
: [<ffffffff8108b080>] ? manage_workers+0x230/0x230
: [<ffffffff8108fb9c>] kthread+0x8c/0xa0
: [<ffffffff815eb8f4>] kernel_thread_helper+0x4/0x10
: [<ffffffff8108fb10>] ? kthread_worker_fn+0x190/0x190
: [<ffffffff815eb8f0>] ? gs_change+0x13/0x13

smolt_data:
:
:
:General
:=================================
:UUID: 6bb18e74-2fe7-4d8b-afdf-8a0901be78f4
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 1994.99
:CPU Vendor: AuthenticAMD
:CPU Model: AMD C-60 APU with Radeon(tm) HD Graphics
:CPU Stepping: 0
:CPU Family: 20
:CPU Model Num: 2
:Number of CPUs: 2
:CPU Speed: 1000
:System Memory: 1731
:System Swap: 3487
:Vendor: Acer
:System: AO722 V1.06
:Form factor: Notebook
:Kernel: 3.2.3-2.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:17297:4133:1432) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4130:5392:4133:1432) pci, None, HOST/PCI, Family 14h Processor Root Complex
:(4098:4884:4133:1432) pci, snd_hda_intel, MULTIMEDIA, Wrestler HDMI Audio [Radeon HD 6250/6310]
:(4098:38919:4133:1432) pci, radeon, VIDEO, N/A
:(4130:5912:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 6
:(4130:5892:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 4
:(4130:5913:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 7
:(4130:5910:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 5
:(4130:5889:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 1
:(4130:5888:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 0
:(4130:5891:0:0) pci, k10temp, HOST/PCI, Family 12h/14h Processor Function 3
:(4130:5890:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 2
:(5348:18215:4187:57410) pci, bcma-pci-bridge, NETWORK, BCM4313 802.11b/g/n Wireless LAN Controller
:(4098:17312:4098:0) pci, pcieport, PCI/PCI, SB700/SB800 PCI to PCI bridge (PCIE port 0)
:(4098:17314:4098:0) pci, pcieport, PCI/PCI, N/A
:(4098:17315:4098:0) pci, pcieport, PCI/PCI, N/A
:(4098:17285:4133:1432) pci, piix4_smbus, SERIAL, SBx00 SMBus Controller
:(4098:17309:4133:1432) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:4133:1432) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(6505:8290:4133:1432) pci, atl1c, ETHERNET, AR8152 v2.0 Fast Ethernet
:(4098:17302:4133:1432) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4133:1432) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17302:4133:1432) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4133:1432) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_hirager3-lv_root / ext4 4096 4096 13092922 9354313 9223279 3276800 3019513 3019513
:/dev/sda2 /boot ext4 1024 1024 508745 410048 384448 128016 127740 127740
:/dev/mapper/vg_hirager3-lv_home /home ext4 4096 4096 107844801 82596907 77198789 26992640 26725170 26725170
:
Comment 1 John W. Linville 2012-02-06 10:07:19 EST
This is actually "brcmsmac: fix tx queue flush infinite loop" doing its job of preventing an infinite loop and telling us about it. :-)
Comment 2 Arend van Spriel 2012-02-06 10:23:05 EST
Yes, it is. Related to that patch I dived into it trying to root cause the issue. I found the issue and have a patch for it. I intend to post a train tomorrow containing that patch.

As it is a long-standing problem it should probably be applied to 3.2 as well. The patch is titled:
   brcm80211: smac: fix endless retry of A-MPDU transmissions
Comment 3 Dave Jones 2012-02-06 17:08:29 EST
*** Bug 787830 has been marked as a duplicate of this bug. ***
Comment 4 amylaar 2012-02-06 17:50:06 EST
(In reply to comment #3)
> *** Bug 787830 has been marked as a duplicate of this bug. ***

Wireless connectivity continued for a while after I got this
warning, so I could see the CC added / bug duplicate messages,
but while I was trying to look at the bug descriptions, the
wireless connectivity was lost - while my full-size laptop
was still fine.  A re-boot restored wireless connectivity.
Comment 5 Arend van Spriel 2012-02-07 04:58:28 EST
Created attachment 559902 [details]
fix endless A-MPDU retries

The WARN_ON_ONCE in the flush operation is likely triggered because the A-MPDU transmissions were retried endlessly. This patch correct that.
Comment 6 John W. Linville 2012-02-07 16:07:23 EST
Test kernels with the patch from comment 5 are building here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3770288

When the build finishes, please give them a try and post the results
here...thanks!
Comment 7 Pedro Carlson 2012-02-07 18:44:20 EST
The problem happened out of nowhere. I was running Gmail and an youtube video.
This kid of crash didn't happened on the previous kernels of fedora 16.
The current kernel version i'm running is: 3.2.3-2.fc16.i686.PAE


Package: kernel
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 8 Kris Knigga 2012-02-08 23:17:15 EST
I don't know what caused this.

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 9 Jiri Mensik 2012-02-09 14:34:29 EST
I run "yum update" and "yum install anki". I do not know exactly what caused the error. Actually, everything seems to be working fine.

Package: kernel
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 10 Claudio Guirunas 2012-02-09 19:19:26 EST
My button 'turn on/off' of the notebook do not works. When I turn on the computer, I can turn on my wireless. If fedora 16 already started to run, I can't turn on or turn off on button. Only when fedora is loading(in boot loading). 
My wireless device do work's very well. Only this problem being now.
I think that's this error report want speak. I don't know.


Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 11 Claudio Guirunas 2012-02-09 21:27:19 EST
In this problem, I have being to run firefox(on gmail). My connection don't down.
Only this message showed in my screen.


Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 12 Jonh Wendell 2012-02-11 08:37:10 EST
I don't know, the bug report window just popup

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 13 Marek Paśnikowski 2012-02-12 06:04:59 EST
The problem surfaced shortly after boot-up.

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 14 Nik Lam 2012-02-12 08:45:46 EST
Firefox with flash installed. Downloading a video from akamai. Connected to internet via OpenVPN.

Very slow connection, 10 to 30 KiB/s accocording to System Monitor.

Started Evolution and began downloading email. Was downloading email for about 2 minutes when the error appeared.


Package: kernel
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 15 Ren-Bo Wang 2012-02-12 20:59:50 EST
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
network suddently fails
Comment 16 Ren-Bo Wang 2012-02-13 00:59:28 EST
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
i dont know what happened
Comment 17 Tim Hughes 2012-02-14 05:57:57 EST
Connected to a Orange E5830C Mobile Wifi Device (Huawei)

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 18 xeddvok7bd7464n2 2012-02-15 02:57:13 EST
No idea ... Was surfing the net and downloading a podcast. Neither Firefox nor any other application crashed, but suddenly I got this kernel crash notification.

Package: kernel
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 19 Siegfried Chaisson 2012-02-15 16:32:11 EST
start up or screensaver changing mode

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 20 Ahmad 2012-02-15 19:15:01 EST
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
am a newbi u tell me lol
Comment 21 xeddvok7bd7464n2 2012-02-17 14:25:15 EST
Was surfing the web when suddenly got this kernel trouble notification. But the internet connection still works ...

Package: kernel
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 22 John W. Linville 2012-02-22 09:40:18 EST
*** Bug 796023 has been marked as a duplicate of this bug. ***
Comment 23 xeddvok7bd7464n2 2012-02-22 12:15:42 EST
Every time after booting my system and connecting (automatically) to my WiFi router, I get this kernel error message after a few minutes.

Package: kernel
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 24 xeddvok7bd7464n2 2012-02-22 12:37:55 EST
(In reply to comment #6)
> Test kernels with the patch from comment 5 are building here:
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=3770288
> 
> When the build finishes, please give them a try and post the results
> here...thanks!

I'd like to try the patched kernel but don't know how to do so. Could you please explain what I have to do? Thanks!
Comment 25 Stanislaw Gruszka 2012-02-22 14:40:05 EST
Test build timed out and was removed. I think we should apply the patch, even without confirmation it fix the warning. And if warning will be not fixed, just reopen this bug.
Comment 26 Arend van Spriel 2012-02-22 14:44:14 EST
The patch has already been submitted to wireless(-next).
Comment 27 Alan B Saichek 2012-02-23 01:33:35 EST
Just booted up laptop which established session with Verizon MiFi 2200. 
Was reading a web page when the screen reverted to an initial ramdisk load notification.


Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 28 Scott Tsai 2012-03-01 05:31:21 EST
Browsing the web with Google Chrome as usual

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 29 jigmantao 2012-03-02 06:08:50 EST
suddenly appeared while browsing the internet

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 30 Andy Lawrence 2012-03-04 10:34:17 EST
Not sure, connected to a wireless network then ran a yum update.

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 31 Samuel Jones 2012-03-07 16:42:38 EST
Booting Laptop, Drivers are straight from kernel with b43 blocked to enable brcm to work.

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 32 didibailly 2012-03-08 15:02:16 EST
trying to plug my micro sd with a sd card adapter

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 33 Greta Watson 2012-03-09 11:25:16 EST
Turn on computer.
System connection to wireless internet happens automatically.
Open Firefox browser.
Access a website.
Message occurs.
Connection to internet continues and no problem seems to occur.

It has to do with the wireless card, as my other laptop doesn't get this message.


Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 34 willockss 2012-03-09 16:54:16 EST
i opened google chrome

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 35 kopano.fedora 2012-03-10 14:24:54 EST
using firefox for charting on google chat + just installed the google video chat extension.

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 36 Jorge 2012-03-11 22:36:32 EDT
trying to change settings to my VPN work connection

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 37 Scott Tsai 2012-03-12 13:25:29 EDT
Browsing the web.

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 38 rrosche 2012-03-14 18:59:44 EDT
Firefox on www.youtube.com used, while the error occured

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 39 Francisco Venegas López 2012-03-17 12:30:48 EDT
I started the system, then logged in and started firefox.

I was looking for addons and the kernel error showed up.


Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 40 brunoric 2012-03-20 15:34:10 EDT
I just opened a java application...

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 41 abeforu 2012-03-21 14:10:25 EDT
Package: kernel
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
when connecting to wifi
Comment 42 John W. Linville 2012-03-22 11:23:18 EDT
*** Bug 805653 has been marked as a duplicate of this bug. ***
Comment 43 John W. Linville 2012-03-22 11:25:34 EDT
I thought that this would be fixed by the two patches below.  But bug 805653 reports this issue against kernel-3.2.9-2.fc16, which has them applied.

Arend and/or Stanislaw, any ideas?

commit 2b0a53d51b5f263bb581bbdb40ebb9f7e09609b1
Author: Arend van Spriel <arend@broadcom.com>
Date:   Thu Feb 23 18:38:23 2012 +0100

    brcm80211: smac: only print block-ack timeout message at trace level

    In regular use block-ack timeouts can happen so it does not make
    sense to fill the log with these messages.

    Reviewed-by: Pieter-Paul Giesberts <pieterpg@broadcom.com>
    Reviewed-by: Alwin Beukers <alwin@broadcom.com>
    Signed-off-by: Arend van Spriel <arend@broadcom.com>
    Signed-off-by: John W. Linville <linville@tuxdriver.com>

commit 85091fc0a75653e239dc8379658515e577544927
Author: Arend van Spriel <arend@broadcom.com>
Date:   Thu Feb 23 18:38:22 2012 +0100

    brcm80211: smac: fix endless retry of A-MPDU transmissions

    The A-MPDU code checked against a retry limit, but it was using
    the wrong variable to do so. This patch fixes this to assure
    proper retry mechanism.

    This problem had a side-effect causing the mac80211 flush callback
    to remain waiting forever as well. That side effect has been fixed
    by commit by Stanislaw Gruszka:

    commit f96b08a7e6f69c0f0a576554df3df5b1b519c479
    Date:   Tue Jan 17 12:38:50 2012 +0100

        brcmsmac: fix tx queue flush infinite loop

        Reference:
        https://bugzilla.kernel.org/show_bug.cgi?id=42576

    Cc: Stanislaw Gruszka <sgruszka@redhat.com>
    Reviewed-by: Pieter-Paul Giesberts <pieterpg@broadcom.com>
    Reviewed-by: Alwin Beukers <alwin@broadcom.com>
    Signed-off-by: Arend van Spriel <arend@broadcom.com>
    Signed-off-by: John W. Linville <linville@tuxdriver.com>
Comment 44 Dave Jones 2012-03-22 12:39:28 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 45 Dave Jones 2012-03-22 12:44:31 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 46 Dave Jones 2012-03-22 12:52:59 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 47 Arend van Spriel 2012-03-22 16:59:10 EDT
John,

I got the warning when testing on restricted channels today. Not sure whether bug 805653 was observed on a restricted channel, though.
Comment 48 Dave Jones 2012-03-23 10:43:45 EDT
*** Bug 806194 has been marked as a duplicate of this bug. ***
Comment 49 Dave Jones 2012-03-23 13:41:35 EDT
*** Bug 806421 has been marked as a duplicate of this bug. ***
Comment 50 Scott Doty 2012-03-23 22:53:38 EDT
1) set up host route to Linux server via wireless interface
2) ping flooded Linux server
3) blammo.


Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 51 Kris Knigga 2012-03-25 22:56:25 EDT
Just normal, everyday network usage.  Every 10-90 seconds the wireless network disconnects and then reconnects.

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 52 Scott Doty 2012-03-25 23:04:16 EDT
(In reply to comment #50)
> 1) set up host route to Linux server via wireless interface
> 2) ping flooded Linux server
> 3) blammo.
> 
> 
> Package: kernel
> OS Release: Fedora release 16 (Verne)

New kernel fixed it -- thanks. :)

 -Scott
Comment 53 Alexei Panov 2012-03-26 08:50:03 EDT
Current kernel 3.3.0-4.fc16.x86_64 doesn't fixed this bug for me.
Comment 54 Dave Jones 2012-03-26 10:56:45 EDT
*** Bug 806701 has been marked as a duplicate of this bug. ***
Comment 55 brunoric 2012-03-26 15:16:16 EDT
I just opened my Google Chrome and accessed a page and the warning appears.

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 56 Emily 2012-03-26 17:18:54 EDT
It seems to be related to just using the wireless or perhaps connecting to it, as it pops up a bit after connecting to the wireless. The driver has known conflicts with the ath1c driver on this particular system (Aspire one AO722 with AMD C-60 apu and broadcom wireless using brcmsmac and atheros wired using ath1c). These conflicts can result in freezes but are generally worked around by blacklisting the ath1c module or making the netbook fail a network boot at startup.

This could be an artifact of a less fatal conflict between the two drivers.


Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 57 Samat 2012-03-27 10:23:02 EDT
Every time I reboot this message appears

I have broadcom BCM4313 b/g/n wireless card. Before I had to install this driver manually, but this is my fresh install of fedora 16. So this time wifi is working normal without kmod-wl driver (after update).

What is the issue?


Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 58 abeforu 2012-03-27 10:34:31 EDT
Package: kernel
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
startup of the PC
Comment 59 abeforu 2012-03-28 05:41:48 EDT
Package: kernel
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
on connecting and booting. also when checking the web
Comment 60 sean.settle 2012-03-29 04:25:52 EDT
Boot laptop and login.
Close laptop lid, suspending the system.
Open laptop lid, resuming the system.


Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 61 sean.settle 2012-03-29 10:05:52 EDT
Power on laptop and login.

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 62 abeforu 2012-04-07 11:48:19 EDT
Package: kernel
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
not so sure
Comment 63 titidijoux 2012-04-07 13:48:11 EDT
Installing LibreOffice

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 64 brunoric 2012-04-09 11:24:39 EDT
Just navigating on internet...

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 65 abeforu 2012-04-11 11:25:00 EDT
Package: kernel
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
just connected
Comment 66 brunoric 2012-04-15 10:02:39 EDT
I just openned my web browser and kernel crashed.

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 67 abeforu 2012-04-16 11:27:55 EDT
Package: kernel
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
not working
Comment 68 Alex Hibbitt 2012-04-18 18:05:54 EDT
This error occurs periodically when using wifi. No particular action triggers it.

Package: kernel
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 69 Josh Boyer 2012-04-19 10:20:44 EDT
*** Bug 814081 has been marked as a duplicate of this bug. ***
Comment 70 Satyendra Singh 2012-04-22 04:51:11 EDT
I disabled the wireless device by network manager it shows this error.

Package: kernel
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 71 abeforu 2012-04-24 11:08:18 EDT
Package: kernel
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
not doing anything
Comment 72 abeforu 2012-04-25 11:18:38 EDT
Package: kernel
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
when connecting from Wireless to LAN
Comment 73 Brig C. McCoy 2012-04-27 23:31:23 EDT
I was just doing a yum update over wireless.

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 74 abeforu 2012-04-30 12:06:12 EDT
Package: kernel
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
not so sure.
Comment 75 Nick 2012-05-06 09:29:46 EDT
Browsing Internet using FireFox.

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 76 Mirek Špaňko 2012-05-06 13:23:41 EDT
Browser Google chrome, play video youtube "adobe flash".

Package: kernel
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 77 Bruno Martins 2012-05-08 20:55:36 EDT
Nothing. Just boot.

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 78 Matt Healy 2012-05-09 07:25:20 EDT
Just browsing the web, unable to reproduce. 

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 79 Matt Healy 2012-05-10 18:15:05 EDT
I had just booted up Fedora. I have a portable USB drive attached - the dialog popped up asking if I wanted to open or eject the drive. I pressed Esc and then the kernel error came up.

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 80 andreas.davour 2012-05-15 03:23:54 EDT
I was just browsing the web when the bug report tool chimed. The network still is up, but I have a wire connected as well so it might have failed over. I have no idea if this bug report is very useful. 

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 81 Josh Boyer 2012-06-07 14:05:44 EDT
*** Bug 817260 has been marked as a duplicate of this bug. ***
Comment 82 Dave Jones 2012-07-09 16:31:57 EDT
*** Bug 838241 has been marked as a duplicate of this bug. ***
Comment 83 Dave Jones 2012-07-09 16:36:16 EDT
There's an F17 variant of this bug at bug 799168.
Comment 84 Dave Jones 2012-07-20 14:56:39 EDT
*** Bug 841884 has been marked as a duplicate of this bug. ***
Comment 85 Mauren 2012-07-28 12:51:34 EDT
I was using the computer normally when the message appeared.

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 86 John W. Linville 2012-09-04 11:04:59 EDT
*** Bug 844744 has been marked as a duplicate of this bug. ***
Comment 87 Klaus Lichtenwalder 2012-09-04 12:09:50 EDT
Still in 3.5.3-1.fc17.i686
Comment 88 brcm80211 driver developers 2012-09-04 12:47:54 EDT
Created attachment 609744 [details]
using waitqueue to wait for flush completion

This patch has been reviewed and tested internally. Maybe you can try and see whether it resolves the issue. Will be submitted to the wireless tree soon.
Comment 89 Klaus Lichtenwalder 2012-09-05 13:39:05 EDT
I tried it with wireless compat-wireless source from July 3, but this did not change. The release from Sep 3 does not insert into kernel 3.5.3-1.fc17.i686 because of dependency problems with bcma
Comment 90 Joel 2012-09-24 19:13:43 EDT
Refresh www page after sitting awhile.

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 91 Ruel Lapid 2012-10-03 17:58:00 EDT
Actually this is the first time I encountered the problem. I'm not sure my wifi adapter suddenly stopped from working.

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 92 Dave Jones 2012-10-23 11:28:16 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 93 Klaus Lichtenwalder 2012-10-23 13:16:31 EDT
Hi, I'm on fc17, on 3.6.2-4.fc17.i686:
I still have
Oct 23 19:11:39 acer kernel: [24309.219119] WARNING: at drivers/net/wireless/brcm80211/brcmsmac/main.c:7998 brcms_c_wait_for_tx_completion+0x8a/0xa0 [brcmsmac]()
Oct 23 19:11:39 acer kernel: [24309.219126] Hardware name: AOD260
Oct 23 19:11:39 acer kernel: [24309.219131] Modules linked in: brcmsmac bluetooth cpufreq_stats arc4 cordic brcmutil bcma mac80211 cfg80211 fuse ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables iptable_nat nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack snd_hda_codec_realtek snd_hda_intel snd_hda_codec acer_wmi snd_hwdep sparse_keymap rfkill snd_seq snd_seq_device snd_pcm i2c_i801 iTCO_wdt snd_page_alloc snd_timer snd iTCO_vendor_support coretemp lpc_ich microcode soundcore atl1c ecryptfs encrypted_keys uinput trusted tpm tpm_bios wmi i915 video i2c_algo_bit drm_kms_helper drm i2c_core [last unloaded: brcmsmac]
Oct 23 19:11:39 acer kernel: [24309.219289] Pid: 15212, comm: kworker/u:42 Not tainted 3.6.2-4.fc17.i686 #1
Oct 23 19:11:39 acer kernel: [24309.219295] Call Trace:
Oct 23 19:11:39 acer kernel: [24309.219314]  [<c043c562>] warn_slowpath_common+0x72/0xa0
Oct 23 19:11:39 acer kernel: [24309.219351]  [<f903f7ea>] ? brcms_c_wait_for_tx_completion+0x8a/0xa0 [brcmsmac]
Oct 23 19:11:39 acer kernel: [24309.219386]  [<f903f7ea>] ? brcms_c_wait_for_tx_completion+0x8a/0xa0 [brcmsmac]
Oct 23 19:11:39 acer kernel: [24309.219399]  [<c043c5b2>] warn_slowpath_null+0x22/0x30
Oct 23 19:11:39 acer kernel: [24309.219434]  [<f903f7ea>] brcms_c_wait_for_tx_completion+0x8a/0xa0 [brcmsmac]
Oct 23 19:11:39 acer kernel: [24309.219464]  [<f90335f0>] brcms_ops_flush+0x30/0x50 [brcmsmac]
Oct 23 19:11:39 acer kernel: [24309.219524]  [<f8c98aaf>] ieee80211_scan_work+0x2af/0x4e0 [mac80211]
Oct 23 19:11:39 acer kernel: [24309.219538]  [<c0455870>] process_one_work+0x120/0x3e0
Oct 23 19:11:39 acer kernel: [24309.219552]  [<c0954855>] ? apic_timer_interrupt+0x31/0x38
Oct 23 19:11:39 acer kernel: [24309.219610]  [<f8c98800>] ? ieee80211_run_deferred_scan+0x70/0x70 [mac80211]
Oct 23 19:11:39 acer kernel: [24309.219623]  [<c04571c1>] worker_thread+0x111/0x3b0
Oct 23 19:11:39 acer kernel: [24309.219636]  [<c046760e>] ? complete+0x4e/0x60
Oct 23 19:11:39 acer kernel: [24309.219648]  [<c04570b0>] ? manage_workers+0x2a0/0x2a0
Oct 23 19:11:39 acer kernel: [24309.219659]  [<c045bba2>] kthread+0x72/0x80
Oct 23 19:11:39 acer kernel: [24309.219671]  [<c045bb30>] ? kthread_freezable_should_stop+0x60/0x60
Oct 23 19:11:39 acer kernel: [24309.219684]  [<c095b3be>] kernel_thread_helper+0x6/0x10
Oct 23 19:11:39 acer kernel: [24309.219692] ---[ end trace a9a80e03d2b1035b ]---
Oct 23 19:11:39 acer kernel: [24309.221371] ieee80211 phy14: brcms_c_ampdu_dotxstatus_complete: Pkt tx suppressed, illegal channel possibly 7
Oct 23 19:11:40 acer kernel: [24310.211677] ieee80211 phy14: brcms_c_ampdu_dotxstatus_complete: Pkt tx suppressed, illegal channel possibly 12
Oct 23 19:13:38 acer kernel: [24428.953826] ieee80211 phy14: brcms_c_ampdu_dotxstatus_complete: Pkt tx suppressed, illegal channel possibly 6
Comment 94 Sean Murphy 2012-10-31 22:07:17 EDT
Seems like it happened after waking from sleep

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 95 Artur Conley 2012-11-11 10:20:36 EST
I was attempting to use Gnash Mozzila plugin to watch youtube when this happened. 

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 96 Josh Boyer 2012-11-28 11:15:27 EST
*** Bug 873324 has been marked as a duplicate of this bug. ***
Comment 97 Josh Boyer 2012-11-28 11:15:49 EST
*** Bug 869449 has been marked as a duplicate of this bug. ***
Comment 98 Fedora End Of Life 2013-01-16 09:07:07 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 99 Dave Jones 2013-02-07 11:18:38 EST
*** Bug 906168 has been marked as a duplicate of this bug. ***
Comment 100 Fedora End Of Life 2013-02-13 10:07:24 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.